

%define rel 1

Name: audiothumbs-frameworks
Summary: Audio thumbnails for KF5
Version: 0.1
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://github.com/eplightning/audiothumbs-frameworks
Source0: https://github.com/eplightning/audiothumbs-frameworks/archive/audiothumbs-frameworks-master.zip

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kconfig-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: knotifications-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kparts-devel
BuildRequires: solid-devel
BuildRequires: kdoctools-devel
BuildRequires: kxmlgui-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kdbusaddons-devel

BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}flac++6-devel
BuildRequires: %{_lib}vorbis0-devel

%description
Plugin for KDE file managers (Dolphin) to preview cover arts
embedded in audio (MP3, FLAC, OGG, M4A) files tags as thumbnails.

%files 
%{_libdir}/qt5/plugins/AudioThumbs.so
%{_datadir}/kservices5/AudioThumbs.desktop

%prep
%setup -qn audiothumbs-frameworks-master

%build
%cmake_kf5 -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INCLUDE_PATH=/usr/include/QtCore \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLIB_INSTALL_DIR=%{_libdir} \
    -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
    -DWITH_TAGLIB=ON \
    -DWITH_FLAC=ON

%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Sat Apr 02 2016 bb <bb> 0.1-1pclos2016
- create


